Page MenuHomePhabricator

Goal: Increase onboarding and retention of new volunteer developers
Closed, ResolvedPublic

Description

Here we organize the work required to implement one outcome of Wikimedia Foundation Annual Plan FY2017-18 - Community Engagement - Program 12 Onboarding new developers: Increase onboarding and retention of new volunteer developers (some parts not related to this goal have been removed)

Goal
Our goal is to achieve a sustained increase of new developers contributing to Wikimedia projects, clearly departing from the current stagnant trend. For this, we will focus our developer outreach in selected projects ready to receive new contributors, helping them to improve their documentation, support, and activities for newcomers. We will explore new groups, new geographies, and new approaches to increase the diversity of our technical community and respond better to the technical needs of our movement and our users.

Outcomes
Outcome 3: Increasing onboarding and retention of new developers and those who recently joined through the Wikimedia Hackathon and the hackathon in Wikimania. During FY2017-18, these two events will be geared towards onboarding local developers and supporting existing developers willing to level up their participation in the Wikimedia technical community.

Objectives

  • Objective 4: Conduct research into how to increase diversity of volunteer developers. With targeted research, we hope to increase both the number and diversity of our volunteer developer community. Research areas will include evaluating programs, events, activities, groups, and media which we might join or partner with to meet these goals. We will look into how to take advantage of Wikipedia’s popularity and large base of readers and donors.
  • Objective 5: Support developers and organizations willing to reach out to specific groups and geographies. We will invite Wikimedia organizations and Wikipedia Education Program members to partner in developer outreach activities in or around their communities, thinking of their own interests and potential benefits.
  • Objective 6: Organize the Hackathon in Wikimania 2017 and the Wikimedia Hackathon 2018. Each event will reach out to local developer groups and will offer activities for newcomers. We will invite a good representation of the best newcomers to the Wikimedia technical community and the best participants in previous local or regional Wikimedia developer meetups. Community Wishlist and Developer Wishlist projects will be promoted as much as possible.
  • Objective 7: A calendar of developer events where Wikimedia should participate in order to find new developers and improve collaboration with upstream projects we rely or other mission/technology aligned free software projects.

Milestones/Targets

  • Milestone 5:
    • Wikimedia affiliates and Wikipedia Education Program partners are informed about our developer outreach strategy and activities, and are invited to get involved, with specific information on opportunities and benefits for these organizations.
    • This call should emphasize developer diversity and new geographies, especially in emerging communities.
    • At least three Wikimedia affiliates and one Wikipedia Education Program partner will commit to organize developer outreach activities as a result of this call before June 2018.
  • Milestone 6: These targets are common for the hackathon in Wikimania and the Wikimedia Hackathon:
    • Logistics in place for a hackathon of 2-3 days for ~200 people.
    • New and junior developers are offered a variety of activities to meet new people, work on a task, and get involved in a project.
    • Hackathon web page includes main themes, community wishlist and developer wishlist recommended projects, and activities for newcomers.
    • Outcomes and actions are showcased at the end of the event and are compiled in a systematic way for better evaluation and followup.
    • Six months after the event, at least 10% of the newcomers have been retained as contributors in the Wikimedia technical community.
  • Milestone 7:
    • Before the end of 2017, a public calendar reflects the developer events where Wikimedia should participate in order to find new developers and to improve collaboration with upstream projects we rely or other mission/technology aligned free software projects.
    • Participation in these events is discussed within the Wikimedia technical community with the goal of identifying speakers and topics, and to coordinate activities in case that several people plans to attend.
    • These discussions inform travel budget decisions at the Wikimedia Foundation and Travel And Participation Support funding requests.

Event Timeline

Qgil created this task.Sep 22 2017, 2:27 PM
Qgil added a project: Goal.Sep 22 2017, 3:28 PM
srishakatux raised the priority of this task from Normal to High.Oct 4 2017, 6:37 AM
srishakatux moved this task from Jul-Sep 2017 to Oct-Dec 2017 on the Developer-Advocacy board.
srishakatux lowered the priority of this task from High to Normal.Oct 4 2017, 7:05 PM

From Q1 2018 onward, though there won't be any specific work on this goal, the continuation pieces are listed in Outcome 8: https://www.mediawiki.org/wiki/Wikimedia_Technology/Annual_Plans/FY2019/TEC10:_Build_Technical_Community#Program_Goal. Background info: https://lists.wikimedia.org/pipermail/wikimedia-l/2018-May/090311.html

srishakatux closed this task as Resolved.Jul 2 2018, 10:07 PM